Bug 698627 - [abrt] gnome-screensaver-3.0.0-1.fc15: do_user_switch: Process /usr/libexec/gnome-screensaver-dialog was killed by signal 11 (SIGSEGV)
[abrt] gnome-screensaver-3.0.0-1.fc15: do_user_switch: Process /usr/libexec/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d7ea7ed1f725f9671e47fd63d04...
:
: 683771 684515 692612 697187 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 08:20 EDT by Mihai Harpau
Modified: 2012-08-06 16:00 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (10.60 KB, text/plain)
2011-04-21 08:20 EDT, Mihai Harpau
no flags Details
File: dsos (18.78 KB, text/plain)
2011-04-21 08:20 EDT, Mihai Harpau
no flags Details
File: maps (20.64 KB, text/plain)
2011-04-21 08:20 EDT, Mihai Harpau
no flags Details
File: backtrace (31.97 KB, text/plain)
2011-04-21 08:20 EDT, Mihai Harpau
no flags Details

  None (edit)
Description Mihai Harpau 2011-04-21 08:20:32 EDT
abrt version: 2.0.1
architecture: i686
cmdline: /usr/libexec/gnome-screensaver-dialog --status-message= --enable-switch
component: gnome-screensaver
uid: 500
kernel: 2.6.38.2-9.fc15.i686
crash_function: do_user_switch
package: gnome-screensaver-3.0.0-1.fc15
reason: Process /usr/libexec/gnome-screensaver-dialog was killed by signal 11 (SIGSEGV)
executable: /usr/libexec/gnome-screensaver-dialog
username: mihai
rating: 4
time: 1303387285
os_release: Fedora release 15 (Lovelock)

Text file: event_log, 10853 bytes
Binary file: coredump, 27938816 bytes
Text file: dsos, 19226 bytes
Text file: maps, 21140 bytes
Text file: backtrace, 32733 bytes

environ
-----
XDG_SESSION_ID=1
HOSTNAME=f15
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=ff2198a704dba6cc0544836f0000000e-1303374285.123136-1817979150
GNOME_KEYRING_CONTROL=/tmp/keyring-UvN2hZ
IMSETTINGS_MODULE=none
USER=mihai
USERNAME=mihai
MAIL=/var/spool/mail/mihai
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mihai/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/mihai
XMODIFIERS=@im=none
GNOME_KEYRING_PID=1166
LANG=en_US.UTF-8
GDM_LANG=en_US.UTF-8
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/mihai
SHLVL=1
LOGNAME=mihai
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-m1U19CaEBv,guid=5d901d19bf1f3bfb846932100000005e
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/mihai
DISPLAY=:0.0
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-mihai-1gvmGk/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1174,unix/unix:/tmp/.ICE-unix/1174
ORBIT_SOCKETDIR=/tmp/orbit-mihai
GPG_AGENT_INFO=/tmp/keyring-UvN2hZ/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-UvN2hZ/ssh
DESKTOP_AUTOSTART_ID=105a994cabbcd1fe2d13033742867612600000011740007
Comment 1 Mihai Harpau 2011-04-21 08:20:34 EDT
Created attachment 493808 [details]
File: event_log
Comment 2 Mihai Harpau 2011-04-21 08:20:37 EDT
Created attachment 493809 [details]
File: dsos
Comment 3 Mihai Harpau 2011-04-21 08:20:40 EDT
Created attachment 493810 [details]
File: maps
Comment 4 Mihai Harpau 2011-04-21 08:20:43 EDT
Created attachment 493811 [details]
File: backtrace
Comment 5 Ben Liblit 2011-05-31 00:25:23 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Had recently resumed from suspend.  Authenticating using my fingerprint reader to unlock the screen wasn't working, so I clicked "Switch User", then retyped my password at the login screen.  That did work, but a few seconds after getting back into my session, this failure was reported.
Comment 6 E Järvinen 2011-06-02 05:09:38 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Thinkpad T510, running on battery, screensaver is activated.  Crash results every time, it seems.
Comment 7 Tero Koskinen 2011-06-03 02:49:51 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was trying to switch to another user from screensaver dialog.
Comment 8 Dan 2011-06-04 07:09:52 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Unsure - locked screen then suspended; received error on opening laptop back up and unlocking screensaver.
Comment 9 Dan 2011-06-04 07:55:41 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Unknown
Comment 10 Ben Liblit 2011-06-08 11:56:10 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Resumed from suspend, clicked "Switch User" (accidentally), then re-entered by existing login session through gdm.  This crash appeared a few seconds thereafter.
Comment 11 Ben Liblit 2011-06-09 19:14:50 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Had recently resumed from suspend.  Authenticating using my fingerprint reader to unlock the screen wasn't working, so I clicked "Switch User", then retyped my password at the login screen.  That did work, but a few seconds after getting back into my session, this failure was reported.
Comment 12 Ben Liblit 2011-06-09 19:15:17 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Resumed from suspend, clicked "Switch User" (accidentally), then re-entered by existing login session through gdm.  This crash appeared a few seconds thereafter.
Comment 13 Rajmahendra 2011-06-14 11:23:38 EDT
I am also facing same issue!!!! trying to login in the time of screen lock i am unable to login. i go to switch user and then login i can login once i enter desktop it displays this crash. 

any work around ???
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:56:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:59:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 mamii 2011-06-26 08:27:58 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i dont know
Comment 17 mamii 2011-06-26 08:29:06 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
i dont know
Comment 18 Bug Reporter 2011-06-28 14:16:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Don't know...
Comment 19 stevlowe9 2011-07-01 15:36:40 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Was not home when it happened.
Comment 20 Alex Wajda 2011-07-02 14:50:29 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Opened the laptop lid
Comment 21 Dusan Obradovic 2011-07-05 18:52:31 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Switch User/Logout/Login
Comment 22 Nima 2011-07-10 18:07:53 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I dont know!
Comment 23 Nima 2011-07-11 09:01:48 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I dont know!
Comment 24 Nima 2011-07-11 09:02:38 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I dont know!
Comment 25 peeyush 2011-07-12 05:50:23 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
screenlock does not respond ...response blank screen
Comment 26 Jonathan Burgess 2011-07-16 23:12:38 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
The screen was locked. I clicked switch user. Logged in to the account that was previously locked
Comment 27 Sylvain Arth 2011-07-19 14:06:17 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
it happened at login time
Comment 28 rob grif 2011-07-24 09:25:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
just  happens after suspend restart
Comment 29 Khairul Nasrun 2011-07-28 13:31:55 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Not known.
Comment 30 Misha Shnurapet 2011-07-30 04:47:31 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Left machine unattended.
Comment 31 Bug Reporter 2011-07-30 15:19:43 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know!
Comment 32 Bug Reporter 2011-07-30 16:02:32 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know!
Comment 33 Alex Wajda 2011-07-31 11:02:41 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
laptop just woke up
Comment 34 Misha Shnurapet 2011-08-04 06:08:32 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea.
Comment 35 Nima 2011-08-06 16:21:56 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I dont know!
Comment 36 Misha Shnurapet 2011-08-10 09:10:02 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know.
Comment 37 Misha Shnurapet 2011-08-13 05:39:14 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know.
Comment 38 mrnelvin 2011-08-16 00:15:26 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just locked the screen is all.
Comment 39 Ben Liblit 2011-08-18 11:12:45 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Unknown.
Comment 40 Ben Liblit 2011-08-18 11:44:31 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Unknown.
Comment 41 Nicolas Chauvet (kwizart) 2011-08-19 10:42:43 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Error when trying to recover from suspend
Comment 42 Misha Shnurapet 2011-08-24 12:06:34 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea.
Comment 43 Misha Shnurapet 2011-08-24 12:11:44 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have no idea.
Comment 44 Jason 2011-09-01 21:06:29 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I suspended the computer.
Comment 45 Alex Ozhegov 2011-09-04 07:10:39 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know. =(
Comment 46 neyzan 2011-09-17 14:41:03 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I have unfortunately no idea...
Comment 47 Misha Shnurapet 2011-09-21 07:34:14 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
no idea...
Comment 48 Juan Francisco Fernández 2011-09-25 15:27:44 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1.- Open a sesion with gnome 3.
2.- Switch to other user.
Comment 49 Artur Cuvasov 2011-09-28 13:27:58 EDT
Package: gnome-screensaver-3.0.0-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
reason unknown
Comment 50 abrt-bot 2012-03-21 11:52:08 EDT
*** Bug 684515 has been marked as a duplicate of this bug. ***
Comment 51 abrt-bot 2012-03-21 11:52:26 EDT
*** Bug 692612 has been marked as a duplicate of this bug. ***
Comment 52 abrt-bot 2012-03-21 11:52:37 EDT
*** Bug 683771 has been marked as a duplicate of this bug. ***
Comment 53 abrt-bot 2012-03-21 11:52:47 EDT
*** Bug 697187 has been marked as a duplicate of this bug. ***
Comment 54 Fedora End Of Life 2012-08-06 15:59:53 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 55 Fedora End Of Life 2012-08-06 16:00:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.